/* Copyright (C) 2003 Alex de Landgraaf <alextreme@xs4all.nl>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */
#ifndef CALLBACKS_H
#define CALLBACKS_H
#include <gtk/gtk.h>

extern GtkWidget *HelpDialog;
/*
void
on_helpbutton_clicked                  (GtkButton       *button,
                                        gpointer         user_data);
*/
void
on_okbuttonStart_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_okbuttonHarddisk_clicked            (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_cancelbuttonSwap_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_okbuttonSwap_clicked                (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_closebuttonNoPart_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_cancelbuttonRoot_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_okbuttonRoot_clicked                (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_buttonSmall_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonCancelNoRoot_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_cancelFS_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonOkFS_clicked                  (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_buttonOkHost_clicked                (GtkWidget      *widget,
                                        gpointer         user_data);

void
on_helpbuttonRootPasswd_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonRootPasswd_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonOkRootPasswd_clicked          (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_buttonCancelUser_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonOkUser_clicked                (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_buttonCancelBoot_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonOkBoot_clicked                (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_helpbuttonEnd_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonOkEnd_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_helpbutton_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonCancelRootPasswd_clicked      (GtkButton       *button,
                                        gpointer         user_data);

void
on_helpbutton_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_optionmenuHarddisk_realize          (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_optionmenuSwap_realize              (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_checkbuttonSwap_toggled             (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_optionmenuRoot_realize              (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_optionmenuFS_realize                (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_optionmenuHarddisk_realize          (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_optionmenuHarddisk_realize          (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_optionmenu1_changed                 (GtkOptionMenu   *optionmenu,
                                        gpointer         user_data);
void
on_SelectHarddisk_show                 (GtkWidget       *widget,
                                        gpointer         user_data);
/*
void
on_ext_2___standard_linux_filesystem1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_ext_3___journaling_file_system1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_reiserfs___journaling_file_system1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_xfs___journaling_file_system1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_item1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
*/
void
on_SelectSwap_show                     (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_SelectRoot_show                     (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_ErrorMessage_show                   (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_ErrorLabel_show                     (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_SelectFS_realize                    (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_DoFilesystem_show                   (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_DoInstall_show                      (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_DoSwap_show                         (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_HelpDialog_show                     (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_textview3_show                      (GtkTextView     *textview,
                                        gchar           *string,
                                        gpointer         user_data);

void
on_ExpertButtonRoot_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_helpbutton_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_cancelButtonExpert_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_okButtonExpert_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_SelectRoot_realize                  (GtkWidget       *widget,
                                        gpointer         user_data);

#endif

void
on_button13_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonBack_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonForward_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_LabelBackButton_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_backbuttonErrorLabel_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonbackDataRoot_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_buttonforwardDataRoot_clicked       (GtkButton       *button,
                                        gpointer         user_data);

void
on_combo_entrySelectHarddisk_activate  (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_combo_entrySelectSwap_activate      (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_combo_entrySelectRoot_activate      (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_entryHost_activate                  (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_entryRootPasswod_activate           (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_entryUserPass2_activate             (GtkEntry        *entry,
                                        gpointer         user_data);
