/* Copyright (C) 2004 Alex de Landgraaf <alextreme@xs4all.nl>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */
#ifndef UI_H_INSTALLER
#define UI_H_INSTALLER
#include <gtk/gtk.h>

/*
	TODO: 
	- No Root Partition dialog
	- Error labels for not-enough-space, catch errors from user/password/grub
*/

#define TEMP_MOUNT_DIR "/tmp/tempmountdir"

extern GtkWidget *HelpDialog;

gboolean ProgressTimeout(gpointer data);
gboolean ProgressTimeoutSize(gpointer data);
void updateInstallLabel(gint current, gint total);
void SetupPartitionerList();
void ShowError(gchar *error);
void DoInstallProcess();

#endif
